import api from './client';

export const SspApi = {
  getSsp(sspId, params = {}) {
    return api.get(`/org-unit/${sspId}`, { params }).then((r) => r.data);
  },
  getAll(params = {}) {
    return api.get(`/org-unit/`, { params }).then((r) => r.data);
  },
  updateSsp(sspId, ssp) {
    return api.patch(`/org-unit/${sspId}`, ssp).then((r) => r.data);
  },
  createSsp(ssp) {
    return api.post(`/org-unit/`, ssp).then((r) => r.data);
  },
  deleteSsp(sspId) {
    return api.delete(`/org-unit/${sspId}`).then((r) => r.data);
  },
  getManySsp(userId) {
    return api
      .get(`/users/dfip-many-ssp/`, { params: { user_id: userId } })
      .then((r) => r.data);
  },
  putManySsps(userId, payload) {
    return api
      .put(`/users/dfip-many-ssp/?user_id=${userId}`, payload)
      .then((r) => r.data);
  },
  deleteManySsps(userId, payload) {
    return api
      .delete(`/users/dfip-many-ssp/?user_id=${userId}`, { data: payload })
      .then((r) => r.data);
  },
};
